Subject: Re: [PATCH] ftrace, powerpc64: fix math to calculate offset in TOC

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 10 Feb 2009 09:21:59 +1100

On Mon, 2009-02-09 at 10:40 +0100, Ingo Molnar wrote:
> * Steven Rostedt <[email-masked]> wrote:
> 
> > 
> > Paul,
> > 
> > I found the bug that was causing large modules to fail in setting
> > up dynamic ftrace. It wound up being a simple math error. To calculate
> > the offset in the TOC, I had used an OR, but the bottom half was
> > a signed extended short, and it should have been an addition.
> > The fix is in my tree below, as well as posted here.
> 
> Looks like a .29 candidate?

Yup, I was planning to send it to Linus along with a handful of other
powerpc fixes today, unless you prefer taking it yourself.

Cheers,
Ben.